Releases Index
Create a workspace webhook
View .md

Create a workspace webhook subscription

POST
/workspaces/{workspaceId}/webhooks

Optional idempotency key. Reuse the same key only for an identical request; successful responses are replayable for 24 hours.

Authorization

bearerAuth
headerAuthorizationBearer <relk_… | relu_… | OAuth JWT>

Machine/operator tokens use the relk_ prefix; self-serve read-only user keys use relu_; Sign in with Releases supplies an OAuth access token. Required scope depends on the endpoint.

Path Parameters

workspaceId*string

Header Parameters

Idempotency-Key?string

Optional idempotency key. Reuse the same key only for an identical request; successful responses are replayable for 24 hours.

Match^[\x21-\x7e]+$
Length16 <= length <= 255

Request Body

application/json
  1. body
scope?string
url*string

Public https URL that receives deliveries.

Lengthlength <= 2048
format?string

Delivery format. Defaults to json.

Value in"json""slack""discord"
description?string
Lengthlength <= 1000
releaseType?string
Value in"feature""rollup"
orgId?string
orgSlug?string
sourceId?string
sourceSlug?string
productId?string
productSlug?string

Response Body

Created webhook subscription, including its one-time signing key.

application/json
  1. response
id*string
scope*string
orgId*string|null
url*string
sourceId*string|null
productId*string|null
releaseType*|null
format*string
Value in"json""slack""discord"
enabled*boolean
description*string|null
secretVersion*integer
Range-9007199254740991 <= value <= 9007199254740991
createdAt*string
lastSuccessAt*string|null
lastErrorAt*string|null
lastErrorMsg*string|null
consecutiveFailures*integer
Range-9007199254740991 <= value <= 9007199254740991
disabledReason*string|null
failureStreakStartedAt*string|null
workspaceId*string
deliveryHealth*string
Value in"never_delivered""healthy""degraded""failing""paused""auto_paused"
deliveryHealthSummary*string
orgSlug*string|null
orgName*string|null
signingKey?string
Example Request
curl -X POST 'https://api.releases.sh/v1/workspaces/string/webhooks' \  -H 'Content-Type: application/json' \  -d '{  "url": "string"}'
Example Response
{  "id": "string",  "scope": "org",  "orgId": "string",  "url": "string",  "sourceId": "string",  "productId": "string",  "releaseType": "feature",  "format": "json",  "enabled": true,  "description": "string",  "secretVersion": -9007199254740991,  "createdAt": "string",  "lastSuccessAt": "string",  "lastErrorAt": "string",  "lastErrorMsg": "string",  "consecutiveFailures": -9007199254740991,  "disabledReason": "string",  "failureStreakStartedAt": "string",  "workspaceId": "string",  "deliveryHealth": "never_delivered",  "deliveryHealthSummary": "string",  "orgSlug": "string",  "orgName": "string",  "signingKey": "string"}